Subject: Re: bug#16809: 24.3; When starting Emacs 24.3.1 in Xubuntu 13.10, "Theme parsing error: gtk-widgets.css" is always output to console
From: Jan Djärv <[email-masked]>
To: Teemu Leisti <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Feb 2014 20:27:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

19 feb 2014 kl. 15:38 skrev Teemu Leisti <[email-masked]>:

> I have just updated my Xubuntu to version 13.10, and installed all the latest
> package upgrades.  To make sure that this problem didn't result from some funky
> package conflict issue, I removed all emacs-related packages and files, then
> reinstalled emacs24 via the Ubuntu software center (which gets me Emacs
> v24.3.1).  The X version is 1.14.5.
> 
> The problem: each time I start Emacs from the command line, it outputs a
> warning.  For example:
> 
>    teemu@teemu-desktop:~ $ emacs &
>    [2] 11450
>    teemu@teemu-desktop:~ $
>    (emacs:11450): Gtk-WARNING **: Theme parsing error:
> gtk-widgets.css:3274:48: Expected ',' in color definition
> 

This is not an Emacs error.  The Gtk+ themes are distributed with Ubunty, or installed by you.  Gtk+ parses the theme files on startup.  Apparently one of them is in error.   Emacs can not do anything about internal Gtk+ errors.

> I tried commenting out all color-setting commands and the font-setting command
> from my init.el file, but that didn't help.  I also tried starting without
> customizations:
> 
>    teemu@teemu-desktop:~ $ emacs -Q &
>    [4] 11727
>    teemu@teemu-desktop:~ $
>    (emacs:11727): Gtk-WARNING **: Theme parsing error:
> gtk-widgets.css:3274:48: Expected ',' in color definition
> 
> but obviously that didn't help.
> 
> The number reported at the beginning of the warning line, after "emacs:",
> changes from one execution to another; so, far I've got at least these:
> 11450, 11531, 11548, 11590, 11605, 11618, 11639, and 11649.

That is the pid of Emacs.

Closing as this is not an Emacs bug.  I suggest you report this to Ubunto, or if you installed the theme, to the theme owner.

	Jan D.